#!/usr/bin/env bash

[ -e /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh ] || exit 0

source /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh
DCECFG=$(GetRegVal /etc/opt/dell/srvadmin/omreg.cfg OMDataEngine.configtool)
DCICFG=$(GetRegVal /etc/opt/dell/srvadmin/omreg.cfg Instrumentation.configtool)

if [ -z "$DCECFG" -o -z "$DCICFG" ]; then
    # data engine, isvc already uninstalled, no need to unreg
    exit 0
fi

#  CLI Unregistration
CLIREGUTIL=/opt/dell/srvadmin/lib/srvadmin-omacore/cli_ini_modifier.sh

# de-configure Storage Services OM and MIB Implementor
$DCECFG command=removempialias aliasname=ssimp


