#!/usr/bin/env bash

#fixup omreg
cat /etc/opt/dell/srvadmin/omreg.d/*.cfg /etc/compat-omreg.cfg > /etc/opt/dell/srvadmin/omreg.cfg 2>/dev/null ||:

##########################################
# Perform Data Engine configuration
##########################################
source /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh
DCECFG=$(GetRegVal /etc/opt/dell/srvadmin/omreg.cfg OMDataEngine.configtool)
DCICFG=$(GetRegVal /etc/opt/dell/srvadmin/omreg.cfg Instrumentation.configtool)

CLIREGUTIL=/opt/dell/srvadmin/lib/srvadmin-omacore/cli_ini_modifier.sh
PLATFORMID=$(GetSysId)


$DCECFG command=addmpialias update=TRUE startuptype=automatic \
        aliasname=ssimp \
        pathfname="/opt/dell/srvadmin/lib/openmanage/libdsm_sm_ssimp.so" \
        dispatchfn=OMSSIMP_SMMIBImplementerDispatch \
        displayname="OMSM_SNMP_IMPLEMENTER"

exit 0

